Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 11/24/2019 in all areas

  1. (defun KGA_Sys_Apply (expr varLst / ret) (if (not (vl-catch-all-error-p (setq ret (vl-catch-all-apply expr varLst)))) ret ) ) ; (ChangeMleaderArrowSize "Standard" 6.0) (defun ChangeMleaderArrowSize (nme size / dic mainDic stl) (setq mainDic (vla-get-dictionaries (vla-get-activedocument (vlax-get-acad-object)))) (if (and (setq dic (KGA_Sys_Apply 'vla-item (list mainDic "ACAD_MLEADERSTYLE"))) (setq stl (KGA_Sys_Apply 'vla-item (list dic nme))) ) (progn (vla-put-arrowsize stl size) T ) ) )
    1 point
  2. You are replacing the existing with the new. You needed to go a bit deeper. Try this (defun C:TPPATH (/ pFiles tpPaths tpPath) (setq pFiles (vla-get-files (vla-get-preferences (vlax-get-acad-object)))) ;;get file preferences (setq tpPaths (vlax-get-property pFiles 'toolpalettepath)); Get the current path(s) (setq tpPath "-insert full new file path here-") ;;set your path here eg "C:\\Users\\....." (vla-put-toolPalettePath pFiles (strcat tpPaths ";" tpPath)) ;;add your new path to the string dividing paths with a ";" (princ) )
    1 point
×
×
  • Create New...